Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationResource.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationResource.java	(revision 78)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationResource.java	(revision 93)
@@ -123,5 +123,5 @@
             // output person content
             result = "<html><body>\n<h1>Annotation</h1>\n";
-            result += String.format("<p><a href=\"%s\">All annotations</a></p>", this.getReference().getParentRef());
+            result += "<p><a href=\"./\">All annotations</a></p>";
             result += "<table>";
             result += String.format("<tr><td><b>uri</b></td><td>%s</td></tr>\n", annotation.getUri());
@@ -142,7 +142,5 @@
             //result += "<p><a href=\"?form=edit\">Edit annotation</a></p>\n";
             // tunnel POST as DELETE
-            result += String.format(
-                    "<form method=\"post\" action=\"%s?method=DELETE\"><input type=\"submit\" value=\"Delete annotation\"/></form>\n",
-                    this.getReference().getHierarchicalPart());
+            result += "<form method=\"post\" action=\"?method=DELETE\"><input type=\"submit\" value=\"Delete annotation\"/></form>\n";
             result += "</body>\n</html>";
         }
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationsResource.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationsResource.java	(revision 75)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationsResource.java	(revision 93)
@@ -76,6 +76,5 @@
         List<Annotation> annotations = store.getAnnotations("id", "*");
         for (Annotation annotation : annotations) {
-            Reference url = this.getReference().clone();
-            url.addSegment(annotation.getUrlId());
+            String url = annotation.getUrlId();
             result += String.format("<tr><td><a href=\"%s\">%s</a></td><td>%s</td><td>%s</td><td>%s</td><td>%s</td></tr>\n", url,
                     annotation.getUri(), annotation.getBodyText(), annotation.getTargetBaseUri(), annotation.getTargetFragment(),
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationsUiRestlet.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationsUiRestlet.java	(revision 75)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/annotations_ui/AnnotationsUiRestlet.java	(revision 93)
@@ -1,5 +1,2 @@
-/**
- * 
- */
 package de.mpiwg.itgroup.annotations.restlet.annotations_ui;
 
@@ -42,5 +39,5 @@
 public class AnnotationsUiRestlet extends BaseRestlet {
 
-    public final String version = "AnnotationManagerN4J/AnnotationsUI 0.3";
+    public final String version = "AnnotationManagerN4J/AnnotationsUI 0.4";
 
     public static Logger logger = Logger.getLogger("de.mpiwg.itgroup.annotations.restlet.annotations_ui.AnnotationsUiRestlet");
@@ -84,5 +81,5 @@
         }
         // Create a Guard
-        ChallengeAuthenticator guard = new ChallengeAuthenticator(getContext(), ChallengeScheme.HTTP_BASIC, "Tutorial");
+        ChallengeAuthenticator guard = new ChallengeAuthenticator(getContext(), ChallengeScheme.HTTP_BASIC, "Annotation Server");
         guard.setVerifier(verifier);
         // put everything through guard
Index: src/main/webapp/index.html
===================================================================
--- src/main/webapp/index.html	(revision 54)
+++ src/main/webapp/index.html	(revision 93)
@@ -25,7 +25,7 @@
   <h2>Admin</h2>
   <ul>
-    <li><a href="annotations/groups">View and edit groups</a></li>
-    <li><a href="annotations/persons">View and edit persons</a></li>
-    <li><a href="annotations/annotations">View and edit annotations</a></li>
+    <li><a href="annotations/groups/">View and edit groups</a></li>
+    <li><a href="annotations/persons/">View and edit persons</a></li>
+    <li><a href="annotations/annotations/">View and edit annotations</a></li>
   </ul>
 </body>
